Bug 1427217 (CVE-2017-6313) - CVE-2017-6313 gdk-pixbuf: Integer underflow in io-icns.c
Summary: CVE-2017-6313 gdk-pixbuf: Integer underflow in io-icns.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-6313
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1427225 1427226 1427229
Blocks: 1427223
TreeView+ depends on / blocked
 
Reported: 2017-02-27 15:44 UTC by Andrej Nemec
Modified: 2019-09-29 14:07 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 03:50:02 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-27 15:44:06 UTC
An integer underflow was found in gdk-pixbuf that allows an attacker to make different calls
to gdk_pixbuf_loader_write with a huge (2^32-1) count (size of buffer) that can be bigger than the actual size of given buffer. It is possible to give the loader any data we want so we can call any desired loader that it's data is recognized. This may lead to various behaviors - multiple out-of-buffer reads, infinite loops, or allocation attempt with the size.

References:

http://seclists.org/oss-sec/2017/q1/466
http://mov.sx/2017/02/21/bug-hunting-gdk-pixbuf.html

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=779016

Comment 1 Andrej Nemec 2017-02-27 16:01:41 UTC
Created gdk-pixbuf2 tracking bugs for this issue:

Affects: fedora-all [bug 1427225]


Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: fedora-all [bug 1427226]

Comment 2 Andrej Nemec 2017-02-27 16:12:33 UTC
Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: epel-7 [bug 1427229]


Note You need to log in before you can comment on or make changes to this bug.